package cfg

import (
	commonConfig "cicv-data-closedloop/kinglong/common/cfg"
	"cicv-data-closedloop/kinglong/common/log"
	"net/rpc"
)

var KillRpcClientMaster *rpc.Client
var KillRpcClientSlave *rpc.Client

func InitRpcClient() {
	var err error
	KillRpcClientMaster, err = rpc.Dial("tcp", commonConfig.CloudConfig.Hosts[0].Ip+":"+commonConfig.CloudConfig.RpcPort)
	if err != nil {
		log.GlobalLogger.Error("创建rpc连接master失败：", err)
	}
	KillRpcClientSlave, err = rpc.Dial("tcp", commonConfig.CloudConfig.Hosts[1].Ip+":"+commonConfig.CloudConfig.RpcPort)
	if err != nil {
		log.GlobalLogger.Error("创建rpc连接slave失败：", err)
	}
}
